Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wsrp.consumer.management.portlet
Class ProxyPortletInfo

    java.lang.Object
      com.bea.wsrp.consumer.management.portlet.ProxyPortletInfo

All Implemented Interfaces:
  Serializable

public class ProxyPortletInfo
extends Object
implements Serializable

Proxy portlet metadata.

See Also:
  Serialized Form

Constructor Summary
`ProxyPortletInfo(String producerHandle, String portletHandle, byte stateChangeFlag, boolean requiresUrlTemplates, boolean templatesStoredInSession, int proxyPortletId, byte[] portletState, String deleteErrorCause, boolean producerOfferedPortlet)` Creates an instance.

Method Summary
`String` | `getDeleteErrorCause()` Returns any error cause set if the consumer tries to destroy the portlet and the attempt failed.
`String` | `getPortletHandle()` Returns the portlet handle.
`byte[]` | `getPortletState()` Returns the optional binary portlet state.
`String` | `getProducerHandle()` Returns producer handle.
`int` | `getProxyPortletId()` Returns the unique ID used to store this proxy portlet in the database.
`byte` | `getStateChangeFlag()` Returns portlet state change flag.
`boolean` | `isProducerOfferedPortlet()` Returns whether this portlet is producer offered or consumer created.
`boolean` | `isRequiresUrlTemplates()` Returns whether the portlet requires URL templates.
`boolean` | `isTemplatesStoredInSession()` Returns whether the portlet stores URL templates in the session.
`void` | `setDeleteErrorCause(String deleteErrorCause)` Sets error cause set if the consumer tries to destroy the portlet and the attempt failed.
`void` | `setPortletHandle(String portletHandle)` Sets the portlet handle.
`void` | `setPortletState(byte[] portletState)` Sets the binary porltet state.
`void` | `setProducerHandle(String producerHandle)` Sets producer handle.
`void` | `setProducerOfferedPortlet(boolean producerOfferedPortlet)` Sets whether this portlet is producer offered or consumer created.
`void` | `setProxyPortletId(int proxyPortletId)` Sets the unique ID used to store this proxy portlet in the database.
`void` | `setRequiresUrlTemplates(boolean requiresUrlTemplates)` Sets whether the portlet requires URL templates.
`void` | `setStateChangeFlag(byte stateChangeFlag)` Sets portlet state change flag.
`void` | `setTemplatesStoredInSession(boolean templatesStoredInSession)` Sets whether the portlet stores URL templates in the session.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProxyPortletInfo

    public ProxyPortletInfo(String producerHandle,
                            String portletHandle,
                            byte stateChangeFlag,
                            boolean requiresUrlTemplates,
                            boolean templatesStoredInSession,
                            int proxyPortletId,
                            byte[] portletState,
                            String deleteErrorCause,
                            boolean producerOfferedPortlet)

  Creates an instance.

  * * @param producerHandle producer handle * @param portletHandle portlet handle * @param stateChangeFlag state change flag * @param requiresUrlTemplates requires templates * @param templatesStoredInSession templates stored in HTTP session * @param proxyPortletId proxy portlet ID * @param portletState optional binary portlet state * @param deleteErrorCause delete error cause * @param producerOfferedPortlet producer offered or consumer configured

Method Detail

### getDeleteErrorCause

    public String getDeleteErrorCause()

  Returns any error cause set if the consumer tries to destroy the portlet and the attempt failed.

  * * @return error cause

### getPortletHandle

    public String getPortletHandle()

  Returns the portlet handle.

  * * @return portlet handle

### getPortletState

    public byte[] getPortletState()

  Returns the optional binary portlet state. Some producers may return this during state updates

  * * @return state

### getProducerHandle

    public String getProducerHandle()

  Returns producer handle.

  * * @return producer handle

### getProxyPortletId

    public int getProxyPortletId()

  Returns the unique ID used to store this proxy portlet in the database.

  * * @return id

### getStateChangeFlag

    public byte getStateChangeFlag()

  Returns portlet state change flag.

  * * @return state change flag

### isProducerOfferedPortlet

    public boolean isProducerOfferedPortlet()

  Returns whether this portlet is producer offered or consumer created.

  * * @return boolean

### isRequiresUrlTemplates

    public boolean isRequiresUrlTemplates()

  Returns whether the portlet requires URL templates.

  * * @return boolean

### isTemplatesStoredInSession

    public boolean isTemplatesStoredInSession()

  Returns whether the portlet stores URL templates in the session.

  * * @return boolean

### setDeleteErrorCause

    public void setDeleteErrorCause(String deleteErrorCause)

  Sets error cause set if the consumer tries to destroy the portlet and the attempt failed.

  * * @param deleteErrorCause error cause

### setPortletHandle

    public void setPortletHandle(String portletHandle)

  Sets the portlet handle.

  * * @param portletHandle portlet handle

### setPortletState

    public void setPortletState(byte[] portletState)

  Sets the binary porltet state.

  * * @param portletState state

### setProducerHandle

    public void setProducerHandle(String producerHandle)

  Sets producer handle.

  * * @param producerHandle producer handle

### setProducerOfferedPortlet

    public void setProducerOfferedPortlet(boolean producerOfferedPortlet)

  Sets whether this portlet is producer offered or consumer created.

  * * @param producerOfferedPortlet boolean

### setProxyPortletId

    public void setProxyPortletId(int proxyPortletId)

  Sets the unique ID used to store this proxy portlet in the database.

  * * @param proxyPortletId id

### setRequiresUrlTemplates

    public void setRequiresUrlTemplates(boolean requiresUrlTemplates)

  Sets whether the portlet requires URL templates.

  * * @param requiresUrlTemplates boolean

### setStateChangeFlag

    public void setStateChangeFlag(byte stateChangeFlag)

  Sets portlet state change flag.

  * * @param stateChangeFlag state change flag

### setTemplatesStoredInSession

    public void setTemplatesStoredInSession(boolean templatesStoredInSession)

  Sets whether the portlet stores URL templates in the session.

  * * @param templatesStoredInSession boolean

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved